=== debian/changelog ===
libnora-ruby (1:0.0.20040310-1) unstable; urgency=low

  * New upstream release
  * Version stamp style has been changed

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 11 Mar 2004 21:44:20 +0900

libnora-ruby (20040216-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 22 Feb 2004 02:16:17 +0900

libnora-ruby (20021204-5) unstable; urgency=low

  * install docs in both version.

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 12 Sep 2003 09:55:09 +0900

libnora-ruby (20021204-4) unstable; urgency=low

  * upload official debian archive. (Closes: #208776)
  * package has been splitted for ruby 1.6 & 1.8.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  8 Sep 2003 17:25:00 +0900

libnora-ruby (20021204-3) unstable; urgency=low

  * examples has been moved to proper directory.

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 15 Jul 2003 00:21:06 +0900

libnora-ruby (20021204-2) unstable; urgency=low

  * add samples

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 11 Jul 2003 20:33:09 +0900

libnora-ruby (20021204-1) unstable; urgency=low

  * Initial Release.

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue,  8 Jul 2003 13:14:16 +0900
