=== debian/control ===
Source: libnora-ruby
Section: interpreters
Priority: optional
Maintainer: Tatsuki Sugiura <sugi@nemui.org>
Build-Depends: debhelper (>> 4.0.0), ruby1.6, ruby1.8, ruby1.6-dev, ruby1.8-dev
Standards-Version: 3.6.0
Uploaders: Taku YASUI <tach@debian.or.jp>

Package: libnora-ruby1.6
Provides: libnora-ruby
Architecture: any
Depends: ruby1.6, ${shlibs:Depends}
Suggests: libfcgi-ruby, libapache-mod-ruby, drb
Description: Web Application Library for ruby
 Features:
  * CGI/mod_ruby/FastCGI/Rinda/Mail interface
  * Persistent Framework
  * multipart/form-data support
  * Cookie support

Package: libnora-ruby1.8
Provides: libnora-ruby
Architecture: any
Depends: ruby1.8, ${shlibs:Depends}
Suggests: libfcgi-ruby, libapache-mod-ruby, drb
Description: Web Application Library for ruby
 Features:
  * CGI/mod_ruby/FastCGI/Rinda/Mail interface
  * Persistent Framework
  * multipart/form-data support
  * Cookie support
