=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


#rubyver :=  $(shell ruby -r rbconfig -e 'print Config::CONFIG["ruby_version"]')

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#/usr/bin/docbook-to-man debian/libnora-ruby.sgml > libnora-ruby.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-ruby install.rb clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/libnora-ruby.
	ruby1.6 install.rb config \
		--site-ruby="\$$prefix/lib/ruby/1.6" \
		--site-ruby-common="\$$prefix/lib/ruby/1.6" \
		--so-dir="\$$prefix/lib/ruby/1.6/$$DEB_HOST_GNU_TYPE" \
		# Hmmmmmm..
	ruby1.6 install.rb setup
	ruby1.6 install.rb install --prefix=$(CURDIR)/debian/libnora-ruby1.6
	mkdir -p $(CURDIR)/debian/libnora-ruby1.6/usr/share/doc/libnora-ruby1.6
	cp -a sample \
	  $(CURDIR)/debian/libnora-ruby1.6/usr/share/doc/libnora-ruby1.6/examples
	find $(CURDIR)/debian/libnora-ruby1.6/usr/share/doc \
		-type f | xargs chmod -x
	ruby1.6 install.rb clean

	ruby1.8 install.rb config \
		--site-ruby="\$$prefix/lib/ruby/1.8" \
		--site-ruby-common="\$$prefix/lib/ruby/1.8" \
		--so-dir="\$$prefix/lib/ruby/1.8/$$DEB_HOST_GNU_TYPE" \
		# Hmmmmmm..
	ruby1.8 install.rb setup
	ruby1.8 install.rb install --prefix=$(CURDIR)/debian/libnora-ruby1.8
	mkdir -p $(CURDIR)/debian/libnora-ruby1.8/usr/share/doc/libnora-ruby1.8
	cp -a sample \
	  $(CURDIR)/debian/libnora-ruby1.8/usr/share/doc/libnora-ruby1.8/examples
	find $(CURDIR)/debian/libnora-ruby1.8/usr/share/doc \
		-type f | xargs chmod -x

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs -n
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
